Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1195128 - tar: : Cannot stat: No such file or directory
Summary: tar: : Cannot stat: No such file or directory
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Deadline: 2015-04-03
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs User Guide
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: Unspecified
Assignee: David O'Brien
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 07:56 UTC by Jan Hutař
Modified: 2019-09-26 16:27 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-03 07:16:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Hutař 2015-02-23 07:56:17 UTC
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.0/html/User_Guide/sect-Disaster_Recovery.html


Section Number and Name: 
Procedure 16.2. Red Hat Satellite Backup Procedure

 Backup the configuration and data files:

# tar --selinux -czvf config_files.tar.gz \
/etc/katello \
/etc/elasticsearch \
/etc/candlepin \
/etc/pulp \
/etc/gofer \
/etc/pki/katello \
/etc/pki/pulp \
/etc/qpidd.conf \
/etc/sysconfig/katello \
/etc/sysconfig/elasticsearch \
/root/ssl-build \
/var/www/html/pub/* \  


Describe the issue: 
In the command there should not be that " \  " at the end of the last line. It might lead to confusing error when copy&paste-d with it:

# tar --selinux -czvf config_files.tar.gz \
> /etc/katello \
> /etc/elasticsearch \
> /etc/candlepin \
> /etc/pulp \
> /etc/gofer \
> /etc/pki/katello \
> /etc/pki/pulp \
> /etc/qpidd.conf \
> /etc/sysconfig/katello \
> /etc/sysconfig/elasticsearch \
> /root/ssl-build \
> /var/www/html/pub/* \  
tar: Removing leading `/' from member names
/etc/katello/
[...]
/var/www/html/pub/katello-ca-consumer-latest.noarch.rpm
tar:  : Cannot stat: No such file or directory
tar: Exiting with failure status due to previous errors


Suggestions for improvement: 
Remove that backslash and spaces around it

Comment 1 RHEL Program Management 2015-02-23 17:13:39 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 2 Athene Chan 2015-02-24 02:49:44 UTC
Hi Jan!

You're on a roll! :) Thanks for the feedback. I am assigning this to David again because he's the one assigned to Disaster Recovery.

Cheers,
Athene


Note You need to log in before you can comment on or make changes to this bug.